package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class ErrorDetails {
    private long errorBehavior;
    private PromptSequence errorPromptSequence;
    private String systemErrorMessage;

    @JsonProperty("errorBehavior")
    public long getErrorBehavior() { return errorBehavior; }
    @JsonProperty("errorBehavior")
    public void setErrorBehavior(long value) { this.errorBehavior = value; }

    @JsonProperty("errorPromptSequence")
    public PromptSequence getErrorPromptSequence() { return errorPromptSequence; }
    @JsonProperty("errorPromptSequence")
    public void setErrorPromptSequence(PromptSequence value) { this.errorPromptSequence = value; }

    @JsonProperty("systemErrorMessage")
    public String getSystemErrorMessage() { return systemErrorMessage; }
    @JsonProperty("systemErrorMessage")
    public void setSystemErrorMessage(String value) { this.systemErrorMessage = value; }
}
